"""
A class to represent Vulnerabilities
"""

from collections import UserDict

from .control import Control
from .threat_event import ThreatEvent
from .tree import Tree


class Vulnerability(UserDict):
    """
    A class to represent Vulnerabilities
    """

    def __init__(
        self, threat_event: ThreatEvent, system: Tree, controls: [Control] = []
    ) -> None:
        self.data = {}
        self.data["name"] = (
            threat_event["name"] + " -> " + system.path() + " | " + str(controls)
        )
        self.data["threat_event"] = threat_event
        self.data["system"] = system
        self.data["controls"] = controls


class Vulnerabilities(UserDict):
    """
    A class to hold multiple Vulnerabilities
    """

    def new(
        self, threat_event: ThreatEvent, system: Tree, controls: [Control] = []
    ) -> Vulnerability:
        name = threat_event["name"] + " -> " + system.path() + " | " + str(controls)
        self.data[name] = Vulnerability(threat_event, system, controls)
        return self.data[name]
